#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QTimer>
#include "recherchegare.h"
#include "departtrains.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    rechercheGare * rGare;
    departTrains * dTrains;
    QString idGareCourante;
    QTimer *timer;
    departModel *depModel;

protected:
    void changeEvent(QEvent *e);

private:
    Ui::MainWindow *ui;

private slots:
    void on_garesComboBox_currentIndexChanged(int index);
    void on_recherchePushButton_clicked();
    void listeGareConnue(QList<QPair<QString,QString> > listeGare);
    void listeDepartsConnus(QList<ligneDepart> listeLignesDeparts);
    void erreurRechercheGare(QString error);
    void timerTimeout();
};

#endif // MAINWINDOW_H
